Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class EventKeyInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.EventKeyInfo

public class EventKeyInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about an XML event key. When WebLogic Process Integrator processes an XML document, it uses an event key to identify the workflow definitions or instance(s) that are associated with the incoming document. The `EventKeyInfo` object defines a relationship between a document element name and a workflow expression. The system evaluates the expression against the root element of an incoming document (of the specified type) to yield a key value that uniquely identifies that document instance, and thus any workflow definitions or instances to which it relates. Note that the document type is characterized by the document element name, not the Document Type Definition.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventKeyInfo(java.lang.String root, java.lang.String expr)` Deprecated. Use the full constructor instead.
`EventKeyInfo(java.lang.String contentType, java.lang.String eventDescriptor, java.lang.String expr, java.lang.String plugin, int fieldID)` Create a new event key info object.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Compare two `EventKeyInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `EventKeyInfo` objects for equality.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getContentType()` Return The MIME content type (e.g., `"text/xml"`).
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getEventDescriptor()` Return the content-type-specific event data format description.
`java.lang.String` | `getExpr()` Return a workflow expression that yields a unique key for a document.
`int` | `getFieldID()` Return The unique plugin-assigned ID for the `FieldInfo` object.
`java.lang.String` | `getOwnerName()`
`java.lang.String` | `getPlugin()` Return the name of the plugin that supplies the field type required to evaluate the expression.
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`java.lang.String` | `getRoot()` Deprecated. Use `getEventDescriptor()` instead.
`int` | `getType()`
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setExpr(java.lang.String expr)` Set the unique key expression.
`java.lang.String` | `toString()` Return a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventKeyInfo

    public EventKeyInfo(java.lang.String root,
                        java.lang.String expr)

  Deprecated. Use the full constructor instead.
  Create a new XML event key info object.

  Parameters:
    `root` - The XML document element name.
    `expr` - Workflow expression that yields a unique key for a document instance when evaluated against that document.

### EventKeyInfo

    public EventKeyInfo(java.lang.String contentType,
                        java.lang.String eventDescriptor,
                        java.lang.String expr,
                        java.lang.String plugin,
                        int fieldID)

  Create a new event key info object.

  Parameters:
    `contentType` - The MIME content type (e.g., `"text/xml"`).
    `eventDescriptor` - A string to describe the particular event, in a plugin-defined format.
    `expr` - Workflow expression specifying how to generate a unique key value for an event datum with the specified content type and format description.
    `pluginName` - The name of the plugin that supplies the field type required to evaluate `expr`. If `null` and `contentType` is `"text/xml"`, the system will use the default `FieldInfo.XMLFIELD` XML field type.
    `fieldID` - The unique plugin-assigned ID for the `FieldInfo` object.
  Since:
    WebLogic Process Integrator 2.0

Method Detail

### getContentType

    public final java.lang.String getContentType()

  Return The MIME content type (e.g., `"text/xml"`).

  Returns:
    The content type.
  Since:
    WebLogic Process Integrator 2.0

### getRoot

    public final java.lang.String getRoot()

  Deprecated. Use `getEventDescriptor()` instead.
  Return the XML document element name.

  Returns:
    The XML document element name to which this event key relates.

### getEventDescriptor

    public final java.lang.String getEventDescriptor()

  Return the content-type-specific event data format description. For a content type of `"text/xml"`, the event descriptor is the DTD Public ID or System ID, or the document element tag name.

  Returns:
    Event format descriptor.
  Since:
    WebLogic Process Integrator 2.0

### getExpr

    public final java.lang.String getExpr()

  Return a workflow expression that yields a unique key for a document.

  Returns:
    Workflow expression that yields a unique key for a document instance when evaluated against that document.
  See Also:
    `setExpr(java.lang.String)`

### getPlugin

    public final java.lang.String getPlugin()

  Return the name of the plugin that supplies the field type required to evaluate the expression.

  Returns:
    The plugin name.
  Since:
    WebLogic Process Integrator 2.0

### getFieldID

    public final int getFieldID()

  Return The unique plugin-assigned ID for the `FieldInfo` object.

  Returns:
    The ID of the field.
  Since:
    WebLogic Process Integrator 2.0

### setExpr

    public final void setExpr(java.lang.String expr)

  Set the unique key expression.

  Parameters:
    `expr` - Unique key expression, conformant with the workflow expression syntax.
  See Also:
    `getExpr()`

### equals

    public boolean equals(java.lang.Object obj)

  Test two `EventKeyInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `EventKeyInfo` with the same root as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object obj)

  Compare two `EventKeyInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `EventKeyInfo`.
  Returns:
    The result of comparing the `contentType` and `eventDescriptor` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `EventKeyInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)